Last Comment Bug 858610 - Document the receipt types
: Document the receipt types
Status: RESOLVED FIXED
p=3
: dev-doc-needed
Product: Marketplace
Classification: Server Software
Component: Payments/Refunds (show other bugs)
: 1.0
: x86 Mac OS X
: P2 normal (vote)
: 2013-04-18
Assigned To: Andy McKay [:andym]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 08:49 PDT by Andy McKay [:andym]
Modified: 2013-04-17 09:25 PDT (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Andy McKay [:andym] 2013-04-05 08:49:47 PDT
Bug 855912 generates a different kind of receipt. This one is quite dangerous because it allows you to get a mozilla marketplace signed receipt of *any* app. The receipt has a short expiry and a different type.

We need to:
* make sure the type is enforced in our library
* make sure the expiry is enforced in our library

Document the heck out of this.
Comment 1 Andy McKay [:andym] 2013-04-16 15:42:13 PDT
I don't think the expiry is a big deal now since the type is enforced. Expiry can fixed once bug 757226 is done.

Note You need to log in before you can comment on or make changes to this bug.